Skip to main content

Update Resident: RealPage

PUThttps://api.propexo.com/v1/residents/realpage/:id
InterfaceMethod
Resident Service ODEUpdateOccupant

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The Propexo ID associated with this resident

Request​

This endpoint expects an object.

    last_namestring

    The last name of the resident.

    Possible values: <= 30 characters

    first_namestring

    The first name of the resident.

    Possible values: <= 30 characters

    middle_namestring

    The middle name of the resident.

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address for the resident.

    address_1string

    Street address for the resident.

    address_2string

    Street address for the resident.

    citystring

    City of the resident's primary address

    statestring

    State of the resident's primary address

    zipstring

    Zip/Postal Code of the resident's primary address

    countrystring

    Country of the resident's primary address

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    idstringrequired

    The Propexo ID associated with this resident

    last_namestring

    The last name of the resident.

    Possible values: <= 30 characters

    first_namestring

    The first name of the resident.

    Possible values: <= 30 characters

    middle_namestring

    The middle name of the resident.

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address for the resident.

    address_1string

    Street address for the resident.

    address_2string

    Street address for the resident.

    citystring

    City of the resident's primary address

    statestring

    State of the resident's primary address

    zipstring

    Zip/Postal Code of the resident's primary address

    countrystring

    Country of the resident's primary address

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/realpage/:id
curl -X PUT https://api.propexo.com/v1/residents/realpage/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}